package com.tsf.demo;

import org.apache.dubbo.config.spring.context.annotation.EnableDubbo;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.tsf.annotation.EnableTsf;


@EnableFeignClients
@EnableTsf
@SpringBootApplication
@EnableDubbo(scanBasePackages = "com.tsf.demo")
public class MiddlemanApplication {
    public static void main(String[] args) {
        SpringApplication.run(MiddlemanApplication.class, args);
    }
}