package com.tsf.demo.controller;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.stereotype.Component;

@Component
@RefreshScope
@ConfigurationProperties(prefix = "middleman.config")
public class MiddlemanNameConfig {
    private String name = "echo-middleman-default-name";

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}