package com.tsf.demo.dubbo.impl;

import com.tsf.demo.dubbo.service.ProviderDubboService;
import org.apache.dubbo.config.annotation.DubboService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import static com.tsf.demo.controller.CommonUtils.getInet4Address;

@DubboService(version = "2.0")
public class ProviderDubboServiceImpl implements ProviderDubboService {
    private static final Logger LOG = LoggerFactory.getLogger(ProviderDubboServiceImpl.class);

    public String echo(String param) {
        LOG.info("provider-dubbo -- request param: [" + param + "]");
        String result = "provider received dubbo, from host-ip: " + getInet4Address() + ",request param: " + param;
        LOG.info("provider-dubbo -- response info: [" + result + "]");
        return result;
    }
}
