package com.tsf.demo;


import org.apache.dubbo.config.spring.context.annotation.EnableDubbo;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.tsf.annotation.EnableTsf;

@EnableScheduling
@EnableFeignClients
@EnableTsf
@SpringBootApplication
@EnableDubbo(scanBasePackages = "com.tsf.demo")
public class ConsumerApplication {

    public static void main(String[] args) {
        SpringApplication.run(ConsumerApplication.class, args);
    }
}