package com.tsf.demo.service;

import com.tsf.demo.dubbo.service.MiddlemanDubboService;
import org.apache.dubbo.config.annotation.DubboReference;
import org.springframework.stereotype.Component;

@Component
public class MiddlemanDubboServiceProxy {

    @DubboReference(timeout = 5000, check = false, version = "1.0")
    MiddlemanDubboService middlemanDubboService;

    public String dubboEcho(String req) {
        return middlemanDubboService.echo(req);
    }

    public String dubbo2HttpEcho(String req) {
        return middlemanDubboService.dubbo2HttpEcho(req);
    }

    public String dubbo2DubboEcho(String req) {
        return middlemanDubboService.dubbo2DubboEcho(req);
    }
}
